com.interactivemesh.jfx.importer

## Class ImportException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.interactivemesh.jfx.importer.ImportException

- All Implemented Interfaces:
    java.io.Serializable

      public final class ImportException
      extends java.lang.RuntimeException

  An ImportException is thrown if the importer encounters a problem reading or parsing the specified file.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImportException(java.lang.String message)` Creates a new ImportException with the specified detail message.
    `ImportException(java.lang.String message, java.lang.Throwable cause)` Creates a new ImportException with the specified detail message and cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ImportException

          public ImportException(java.lang.String message)

      Creates a new ImportException with the specified detail message.
      Parameters:
        `message` - the detail message

    - #### ImportException

          public ImportException(java.lang.String message,
                                 java.lang.Throwable cause)

      Creates a new ImportException with the specified detail message and cause.
      Parameters:
        `message` - the detail message
        `cause` - the cause

Copyright (C) 2013-2014 InteractiveMesh e.K.